---
title: Gets the payment methods available by language and optionally market.
slug: cms-12/api/gets-the-payment-methods-available-by-language-and-optionally-market
docTags: 
createdAt: 2026-08-28T13:16:06.833Z
---

{
  "id": "Jt96Vb6AGJH0OyPQVyvZ2",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "/api/episerver/v3.0/paymentmethods/{language}/{market}",
    "servers": [],
    "name": "Gets the payment methods available by language and optionally market.",
    "description": "",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "language",
          "type": "string",
          "description": "The language"
        },
        {
          "kind": "required",
          "name": "market",
          "type": "string",
          "description": "The market",
          "default": ""
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/problem+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "Represents a payment method",
            "customType": "paymentMethod[]",
            "schema": [
              {
                "name": "paymentMethodId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Payment method id"
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Payment method name"
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "Payment method description"
              },
              {
                "name": "languageId",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "The language"
              },
              {
                "name": "systemKeyword",
                "kind": "optional",
                "type": "string",
                "nullable": true,
                "description": "System keyword to indentify payment method"
              },
              {
                "name": "isActive",
                "kind": "optional",
                "type": "boolean",
                "description": "Whether is active or not"
              },
              {
                "name": "isDefault",
                "kind": "optional",
                "type": "boolean",
                "description": "Is default"
              },
              {
                "name": "supportsRecurring",
                "kind": "optional",
                "type": "boolean",
                "description": "Supports recurring payments"
              },
              {
                "name": "ordering",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "Sort order",
                "format": "int32"
              },
              {
                "name": "markets",
                "kind": "optional",
                "type": "array",
                "nullable": true,
                "description": "The markets associated with payment method",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/paymentMethod",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "pCNGY_Uv_AXZ4jcxyjfh6",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url /api/episerver/v3.0/paymentmethods/{language}/{market} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "_iDhm8sqMnNFhLeC3b-ZQ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"/api/episerver/v3.0/paymentmethods/{language}/{market}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Bal5wE8ZtMswMNIEnEW1d",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"/api/episerver/v3.0/paymentmethods/{language}/{market}\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = http.request(request)\nputs response.read_body\n"
        },
        {
          "id": "9nPfjsQ-WDfSoBcm2o_lB",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"/api/episerver/v3.0/paymentmethods/{language}/{market}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "pCNGY_Uv_AXZ4jcxyjfh6"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"paymentMethodId\": \"\",\n    \"name\": \"\",\n    \"description\": \"\",\n    \"languageId\": \"\",\n    \"systemKeyword\": \"\",\n    \"isActive\": false,\n    \"isDefault\": false,\n    \"supportsRecurring\": false,\n    \"ordering\": \"\",\n    \"markets\": [\n      \"\"\n    ]\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}